<body>

<mat-toolbar color="primary" class="tool-bar">
  <mat-toolbar-row>
    <span>Your gns4 workspace</span>
    <table class="workspace-navcontent-toolbar">
      <tr>
        <th>
          <button mat-button (click)="sidenav.toggle()" class="workspace-toolbar-button">Palette</button>
        </th>
        <th>
          <button mat-button (click)="clear()" class="workspace-toolbar-button">Clear</button>
        </th>
        <th>
          <div *ngIf="ifLinking">
            <button mat-button (click)="stopLinking()" class="quit-linking-button">Linking mode</button>
          </div>
        </th>
      </tr>
    </table>
  </mat-toolbar-row>
</mat-toolbar>

<div *ngIf="portSelection">
  <app-port-selection [deviceA]="deviceA" [deviceZ]="deviceZ" (portEmitter)="selectPorts($event)"></app-port-selection>
</div>

<div *ngIf="activePort">
  <app-port-config  [port]="activePort"
                    (closePortConfig)="closeActivePort()"
                    (setIPEmitter)="setActivePortIP($event)"
                    (setMaskEmitter)="setActivePortMask($event)">
  </app-port-config>
</div>

<div>
  <mat-sidenav-container class="workspace-container" hasBackdrop="false">
    <mat-sidenav opened #sidenav mode="over" [(opened)]="paletteOpened" class="side-drawer">
      <p class="inscription">choose wisely</p>
      <app-palette (onClicked)="addNewItem($event)"></app-palette>
    </mat-sidenav>

    <mat-sidenav opened mode="over" position="end" [(opened)]="isActiveItem" class="side-drawer-end">
      <app-device-menu [treeChange]="changeTreeEvent.asObservable()"
                       [item]="activeItem"
                       (onDeleteClicked)="deleteActiveItem()"
                       (portConfEmitter)="showPortConfig($event)">
      </app-device-menu>
    </mat-sidenav>

    <mat-sidenav-content [ngStyle]="{'cursor': ifLinking ? 'crosshair' : 'auto'}">

      <app-workbench [devicesMap]="devicesMap"
                     [linksMap]="linksMap"
                     (showDeviceMenu)="showItemMenu($event)"
                     (linkDeviceEmission)="linkDevice($event)">
      </app-workbench>
    </mat-sidenav-content>

  </mat-sidenav-container>
</div>

</body>
